Initialize Customer (Register/Identify)
Register or update a customer whenever they log in or register in your app.Request Parameters
Push notification provider:
PushProvider.firebase or PushProvider.huawei. Required if deviceToken is set.Optional session token to override the global token for this specific request. Required in upcoming SDK v4.
In React Native SDK, passing a sessionToken parameter updates the global session token. Pass
undefined to clear the global token, or omit it to use the current global token.Validation Rules
InitializeCustomerRequest requires:customerIdcannot be empty or whitespace- If
deviceTokenis provided,pushProvidermust also be specified - If
pushProvideris specified,deviceTokenmust also be provided